Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.commons.business.v1
Class SsinWithCanceledAndReplacedByStatusType

    java.lang.Object
      be.fgov.ehealth.rn.commons.business.v1.SsinWithCanceledAndReplacedByStatusType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-09-22T05:58:15+02:00",
               comments="JAXB RI v2.2.11")
    public class SsinWithCanceledAndReplacedByStatusType

extends Object
implements Serializable

Java class for SsinWithCanceledAndReplacedByStatusType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SsinWithCanceledAndReplacedByStatusType">
       <simpleContent>
         <extension base="<urn:be:fgov:ehealth:rn:commons:business:v1>SsinType">
           <attribute name="Canceled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="ReplacedBy" type="{urn:be:fgov:ehealth:rn:commons:business:v1}SsinType" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SsinWithCanceledAndReplacedByStatusType()`

Method Summary
`String` | `getReplacedBy()` Gets the value of the replacedBy property.
`String` | `getValue()` Gets the value of the value property.
`Boolean` | `isCanceled()` Gets the value of the canceled property.
`void` | `setCanceled(Boolean value)` Sets the value of the canceled property.
`void` | `setReplacedBy(String value)` Sets the value of the replacedBy property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SsinWithCanceledAndReplacedByStatusType

    public SsinWithCanceledAndReplacedByStatusType()

Method Detail

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### isCanceled

    public Boolean isCanceled()

  Gets the value of the canceled property.

  Returns:
    possible object is `Boolean`

### setCanceled

    public void setCanceled(Boolean value)

  Sets the value of the canceled property.

  Parameters:
    `value` - allowed object is `Boolean`

### getReplacedBy

    public String getReplacedBy()

  Gets the value of the replacedBy property.

  Returns:
    possible object is `String`

### setReplacedBy

    public void setReplacedBy(String value)

  Sets the value of the replacedBy property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.